Name:           libnfc
Version:        1.3.9
Release:        1%{?dist}
Summary:        NFC SDK and Programmers API

Group:          System Environment/Libraries
License:        LGPLv3+
URL:            http://www.libnfc.org/
Source0:        http://libnfc.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pcsc-lite-devel
BuildRequires:  libusb-devel
BuildRequires:  doxygen

%description
libnfc is the first free NFC SDK and Programmers API released under the 
GNU Lesser General Public License. It provides complete transparency and 
royalty-free use for everyone.

%package devel
Summary: Development libraries for libnfc
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The libnfc-devel package contains header files necessary for 
developing programs using libnfc.

%package examples
Summary: Examples using libnfc
Group: Development/Tools
Requires: %{name} = %{version}-%{release}
%description examples
The libnfc-examples package contains examples demonstrating the functionality
of libnfc.

%prep
%setup -q

%build
%configure --disable-static
# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}
doxygen

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# remove *.la files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%doc COPYING README AUTHORS ChangeLog

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/nfc/
%{_libdir}/pkgconfig/*.pc
%doc doc/html

%files examples
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Sep 24 2010 François Kooman <fkooman at tuxed net> 1.3.9-1
- update to 1.3.9

* Mon Apr 12 2010 François Kooman <fkooman at tuxed net> 1.3.4-1
- update to 1.3.4

* Mon Mar 9 2010 François Kooman <fkooman at tuxed net> 1.3.3-1
- update to 1.3.3

* Mon Feb 8 2010 François Kooman <fkooman at tuxed net> 1.3.2-1
- update to 1.3.2

* Wed Jan 20 2010 François Kooman <fkooman at tuxed net> 1.3.1-1
- update to 1.3.1

* Sat Jan 16 2010 François Kooman <fkooman at tuxed net> 1.3.0-1
- update to final version 1.3.0
- drop CMake for now as upstream does not include CMake build scripts
  in releases
- create API documentation using Doxygen

* Sat Oct 03 2009 François Kooman <fkooman at tuxed net> 1.3.0-0.1
- next version will be 1.3.0
- use better macro for mandir
- use name macro instead of "libnfc" in Requires and includedir

* Mon Sep 12 2009 François Kooman <fkooman at tuxed net> 1.2.2-0.1
- update to SVN snapshot
- use CMake instead of autotools

* Fri Aug 21 2009 François Kooman <fkooman at tuxed net> 1.2.1-1
- initial Fedora package

